--
-- Type: TABLE; Owner: BIOMART_USER; Name: APPLICATION_SETTINGS
--
 CREATE TABLE "BIOMART_USER"."APPLICATION_SETTINGS"
  (	"ID" NUMBER(19,0) NOT NULL ENABLE,
"VERSION" NUMBER(19,0) NOT NULL ENABLE,
"FIELDNAME" VARCHAR2(255 CHAR) NOT NULL ENABLE,
"FIELDVALUE" VARCHAR2(2000 CHAR) NOT NULL ENABLE,
"LAST_UPDATED" TIMESTAMP (6) NOT NULL ENABLE,
"USERID" NUMBER(19,0) NOT NULL ENABLE,
 CONSTRAINT "APPLICATION_SETTINGS_PK" PRIMARY KEY ("ID")
 USING INDEX
 TABLESPACE "TRANSMART"  ENABLE
  ) SEGMENT CREATION DEFERRED
NOCOMPRESS NOLOGGING
 TABLESPACE "TRANSMART" ;
--
-- Type: TRIGGER; Owner: BIOMART_USER; Name: TRG_APPLICATION_SETTINGS_ID
--
  CREATE OR REPLACE TRIGGER "BIOMART_USER"."TRG_APPLICATION_SETTINGS_ID"
before insert on "APPLICATION_SETTINGS"
  for each row begin
    if inserting then
      if :NEW."ID" is null then
        select APPLICATION_SETTINGS_ID_SEQ.nextval into :NEW."ID" from dual;
      end if;
    end if;
  end;
/

ALTER TRIGGER "BIOMART_USER"."TRG_APPLICATION_SETTINGS_ID" ENABLE;
