--
-- Type: TABLE; Owner: BIOMART_USER; Name: CMS_FILE
--
 CREATE TABLE "BIOMART_USER"."CMS_FILE" 
  (	"ID" NUMBER(18,0) NOT NULL ENABLE,
"NAME" VARCHAR2(255 BYTE) NOT NULL ENABLE, 
"CONTENT_TYPE" VARCHAR2(255 BYTE) NOT NULL ENABLE, 
"INSTANCE_TYPE" VARCHAR2(255 BYTE) NOT NULL ENABLE, 
"LAST_UPDATED" DATE,
"VERSION" NUMBER(18,0) NOT NULL ENABLE,
"BYTES" BLOB,
 CONSTRAINT "CMS_FILE_PK" PRIMARY KEY ("ID")
 USING INDEX
 TABLESPACE "INDX"  ENABLE,
 CONSTRAINT "CMS_FILE_UK" UNIQUE ("NAME", "INSTANCE_TYPE")
 USING INDEX
 TABLESPACE "INDX"  ENABLE
) SEGMENT CREATION IMMEDIATE
 TABLESPACE "TRANSMART"
LOB ("BYTES") STORE AS BASICFILE (
 TABLESPACE "TRANSMART" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
 NOCACHE LOGGING ) ;
--
-- Type: TRIGGER; Owner: BIOMART_USER; Name: TRG_CMS_FILE_ID
--
  CREATE OR REPLACE TRIGGER "BIOMART_USER"."TRG_CMS_FILE_ID"
before insert on "CMS_FILE"
  for each row begin
    if inserting then
      if :NEW."ID" is null then
        select CMS_FILE_ID_SEQ.nextval into :NEW."ID" from dual;
      end if;
    end if;
  end;
/

ALTER TRIGGER "BIOMART_USER"."TRG_CMS_FILE_ID" ENABLE;
