--
-- Type: TABLE; Owner: SEARCHAPP; Name: IMPORT_XNAT_CONFIGURATION
--
 CREATE TABLE "SEARCHAPP"."IMPORT_XNAT_CONFIGURATION"
  (	"ID" NUMBER(10,0) NOT NULL ENABLE,
"VERSION" NUMBER(10,0) NOT NULL,
"NAME" VARCHAR2(255 BYTE) NOT NULL,
"DESCRIPTION" CLOB,
"URL" VARCHAR2(255 BYTE) NOT NULL,
"USERNAME" VARCHAR2(255 BYTE) NOT NULL,
"PROJECT" VARCHAR2(255 BYTE) NOT NULL,
"NODE" VARCHAR2(255 BYTE) NOT NULL,
 CONSTRAINT "IMPORT_XNAT_CONFIG_PK" PRIMARY KEY ("ID")
 USING INDEX
 TABLESPACE "INDX"  ENABLE
  ) SEGMENT CREATION IMMEDIATE
 TABLESPACE "TRANSMART"
LOB ("DESCRIPTION") STORE AS SECUREFILE (
 TABLESPACE "TRANSMART" ENABLE STORAGE IN ROW CHUNK 8192
 NOCACHE LOGGING  NOCOMPRESS  KEEP_DUPLICATES ) ;
--
-- Type: TRIGGER; Owner: SEARCHAPP; Name: TRG_IMPORT_XNAT_CONFIG_ID
--
  CREATE OR REPLACE TRIGGER "SEARCHAPP"."TRG_IMPORT_XNAT_CONFIG_ID"
BEFORE INSERT ON "SEARCHAPP"."IMPORT_XNAT_CONFIGURATION"
FOR EACH ROW BEGIN
	  if inserting then
		if :NEW."ID" is null then
SELECT SEQ_SEARCH_DATA_ID.nextval
INTO :NEW."ID"
FROM dual;
end if;
end if;
END;
/
ALTER TRIGGER "SEARCHAPP"."TRG_IMPORT_XNAT_CONFIG_ID" ENABLE;
