--
-- Type: SEQUENCE; Owner: TM_CZ; Name: ETL_SETTINGS_ID_SEQ
--
CREATE SEQUENCE  "TM_CZ"."ETL_SETTINGS_ID_SEQ"  MINVALUE 1 MAXVALUE 99999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;

--
-- Type: TABLE; Owner: TM_CZ; Name: ETL_SETTINGS
--
 CREATE TABLE "TM_CZ"."ETL_SETTINGS" 
  (	"ID" NUMBER(22,0) NOT NULL ENABLE, 
"PARAMNAME" VARCHAR2(20 BYTE) NOT NULL ENABLE, 
"PARAMVALUE" VARCHAR2(255 BYTE) NOT NULL ENABLE,
 CONSTRAINT "ETL_SETTINGS_PK" PRIMARY KEY ("ID")
 USING INDEX
 TABLESPACE "INDX"  ENABLE,
 CONSTRAINT "ETL_SETTINGS_UK" UNIQUE ("PARAMNAME")
 USING INDEX
 TABLESPACE "INDX"  ENABLE
  ) SEGMENT CREATION IMMEDIATE
 TABLESPACE "TRANSMART" ;

--
-- Type: TRIGGER; Owner: TM_CZ; Name: TRG_ETL_SETTINGS_ID
--
  CREATE OR REPLACE TRIGGER "TM_CZ"."TRG_ETL_SETTINGS_ID" 
	before insert on "TM_CZ"."ETL_SETTINGS"    
	for each row begin     
		if inserting then       
			if :NEW."ID" is null then
				select ETL_SETTINGS_ID_SEQ.nextval into :NEW."ID" from dual;       
			end if;   
		end if; 
	end;

/
ALTER TRIGGER "TM_CZ"."TRG_ETL_SETTINGS_ID" ENABLE;
 
