--
-- Type: TABLE; Owner: TS_BATCH; Name: BATCH_STEP_EXECUTION
--
 CREATE TABLE "TS_BATCH"."BATCH_STEP_EXECUTION" 
  (	"STEP_EXECUTION_ID" NUMBER(18,0) NOT NULL ENABLE,
"VERSION" NUMBER(18,0) NOT NULL ENABLE,
"STEP_NAME" VARCHAR2(100 BYTE) NOT NULL ENABLE, 
"JOB_EXECUTION_ID" NUMBER(18,0) NOT NULL ENABLE,
"START_TIME" TIMESTAMP (6) NOT NULL ENABLE,
"END_TIME" TIMESTAMP (6),
"STATUS" VARCHAR2(10 BYTE),
"COMMIT_COUNT" NUMBER(18,0),
"READ_COUNT" NUMBER(18,0),
"FILTER_COUNT" NUMBER(18,0),
"WRITE_COUNT" NUMBER(18,0),
"READ_SKIP_COUNT" NUMBER(18,0),
"WRITE_SKIP_COUNT" NUMBER(18,0),
"PROCESS_SKIP_COUNT" NUMBER(1,0),
"ROLLBACK_COUNT" NUMBER(18,0),
"EXIT_CODE" VARCHAR2(2500 BYTE), 
"EXIT_MESSAGE" VARCHAR2(2500 BYTE),
"LAST_UPDATED" TIMESTAMP (6),
CONSTRAINT "BATCH_STEP_EXECUTION_PK" PRIMARY KEY ("STEP_EXECUTION_ID")
USING INDEX
TABLESPACE "INDX" ENABLE
  ) SEGMENT CREATION IMMEDIATE
 TABLESPACE "TRANSMART" ;

--
-- Type: REF_CONSTRAINT; Owner: TS_BATCH; Name: JOB_EXEC_STEP_FK
--
ALTER TABLE "TS_BATCH"."BATCH_STEP_EXECUTION" ADD CONSTRAINT "JOB_EXEC_STEP_FK" FOREIGN KEY ("JOB_EXECUTION_ID")
 REFERENCES "TS_BATCH"."BATCH_JOB_EXECUTION" ("JOB_EXECUTION_ID") ENABLE;
