--
-- Name: i2b2_table_bkp(); Type: FUNCTION; Schema: tm_cz; Owner: -
--
CREATE OR REPLACE FUNCTION tm_cz.i2b2_table_bkp() RETURNS void
    LANGUAGE plpgsql
AS $$
    declare


    tExists		integer;

begin
    /*************************************************************************
     * Copyright 2008-2012 Janssen Research & Development, LLC.
     *
     * Licensed under the Apache License, Version 2.0 (the "License");
     * you may not use this file except in compliance with the License.
     * You may obtain a copy of the License at
     *
     * http://www.apache.org/licenses/LICENSE-2.0
     *
     * Unless required by applicable law or agreed to in writing, software
     * distributed under the License is distributed on an "AS IS" BASIS,
     * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     * See the License for the specific language governing permissions and
     * limitations under the License.
     ******************************************************************/

    select count(*) into tExists
      from information_schema.tables
     where table_schema = 'i2b2metadata'
       and table_name = 'i2b2_bkp';

    if tExists > 0 then
	EXECUTE('drop table i2b2metadata.i2b2_bkp');
    end if;

    select count(*) into tExists
      from information_schema.tables
     where table_schema = 'i2b2metadata'
       and table_name = 'tm_concept_counts_bkp';

    if tExists > 0 then
	execute('drop table i2b2metadata.tm_concept_counts_bkp');
    end if;

    select count(*) into tExists
      from information_schema.tables
     where table_schema = 'i2b2demodata'
       and table_name = 'concept_dimension_bkp';

    if tExists > 0 then
	execute('drop table i2b2demodata.concept_dimension_bkp');
    end if;

    select count(*) into tExists
      from information_schema.tables
     where table_schema = 'i2b2demodata'
       and table_name = 'observation_fact_bkp';

    if tExists > 0 then
	execute('drop table i2b2demodata.observation_fact_bkp');
    end if;

    select count(*) into tExists
      from information_schema.tables
     where table_schema = 'i2b2demodata'
       and table_name = 'patient_dimension_bkp';

    if tExists > 0 then
	execute('drop table i2b2demodata.patient_dimension_bkp');
    end if;

    --Backup tables
    execute 'create table i2b2metadata.i2b2_bkp as select * from i2b2metadata.i2b2';
    execute 'create table i2b2metadata.tm_concept_counts_bkp as select * from i2b2metadata.tm_concept_counts';
    execute 'create table i2b2demodata.concept_dimension_bkp as select * from i2b2demodata.concept_dimension';
    execute 'create table i2b2demodata.observation_fact_bkp as select * from i2b2demodata.observation_fact';
    execute 'create table i2b2demodata.patient_dimension_bkp as select * from i2b2demodata.patient_dimension';
end;

$$;

